Get contacts for an organisation
curl --request GET \
--url https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"current_page": 1,
"last_page": 10,
"per_page": 15,
"total": 150,
"next_page_url": "https://api.example.com/v1/workspaces?page=2",
"prev_page_url": null,
"first_page_url": "https://api.example.com/v1/workspaces?page=1",
"last_page_url": "https://api.example.com/v1/workspaces?page=10",
"path": "https://api.example.com/v1/workspaces",
"from": 1,
"to": 15,
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"email": "john@pirateinc.com",
"first_name": "John",
"last_name": "Doe",
"position": "CEO",
"headline": "CEO at Pirate Inc.",
"department": [
"IT"
],
"seniority": "Senior",
"linkedin_url": "https://linkedin.com/in/johndoe",
"location": {
"city": "Amsterdam",
"state": "North Holland",
"country": "Netherlands",
"country_code": "NL"
},
"profiles": [
{
"name": "Twitter",
"handle": "@pirateinc",
"url": "https://twitter.com/pirateinc"
}
]
}
],
"success": true,
"refreshing": false
}{
"success": false,
"message": "The domain or organisation_uuid must be provided"
}Contacts
Get contacts for an organisation
GET
/
v1
/
workspaces
/
{workspaceUuid}
/
contacts
Get contacts for an organisation
curl --request GET \
--url https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"current_page": 1,
"last_page": 10,
"per_page": 15,
"total": 150,
"next_page_url": "https://api.example.com/v1/workspaces?page=2",
"prev_page_url": null,
"first_page_url": "https://api.example.com/v1/workspaces?page=1",
"last_page_url": "https://api.example.com/v1/workspaces?page=10",
"path": "https://api.example.com/v1/workspaces",
"from": 1,
"to": 15,
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"email": "john@pirateinc.com",
"first_name": "John",
"last_name": "Doe",
"position": "CEO",
"headline": "CEO at Pirate Inc.",
"department": [
"IT"
],
"seniority": "Senior",
"linkedin_url": "https://linkedin.com/in/johndoe",
"location": {
"city": "Amsterdam",
"state": "North Holland",
"country": "Netherlands",
"country_code": "NL"
},
"profiles": [
{
"name": "Twitter",
"handle": "@pirateinc",
"url": "https://twitter.com/pirateinc"
}
]
}
],
"success": true,
"refreshing": false
}{
"success": false,
"message": "The domain or organisation_uuid must be provided"
}Authorizations
Path Parameters
Query Parameters
Response
A paginated list of the contacts. Contacts are served from Snitcher's store; when a domain has not been looked up recently the lookup runs in the background and refreshing is true, meaning the list may still grow. Poll the same request until refreshing is false.